## ruby-rufus-scheduler 3.4.2

=== Makefile ===

NAME = \
  $(shell ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.name")
VERSION = \
  $(shell ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.version")


gemspec_validate:
	@echo "---"
	ruby -e "s = eval(File.read(Dir['*.gemspec'].first)); p s.validate"
	@echo "---"

name: gemspec_validate
	@echo "$(NAME) $(VERSION)"

build: gemspec_validate
	gem build $(NAME).gemspec
	mkdir -p pkg
	mv $(NAME)-$(VERSION).gem pkg/

push: build
	gem push pkg/$(NAME)-$(VERSION).gem

## ruby-rufus-scheduler 3.1.10

=== debian/changelog ===
ruby-rufus-scheduler (3.1.10-2) unstable; urgency=medium

  * Disable tests that caused random FTBFS (Closes: #809289)
    - Need to investigate more. 

 -- Balasankar C <balasankarc@autistici.org>  Thu, 07 Jan 2016 18:58:10 +0530

ruby-rufus-scheduler (3.1.10-1) unstable; urgency=medium

  * Initial release (Closes: #807376)
  * fix-tests.patch: Patch to solve test failures due to incorrect handling
    of next month calculation. Applied upstream and may be dropped in next
    version update.

 -- Balasankar C <balasankarc@autistici.org>  Tue, 08 Dec 2015 01:27:18 +0530

=== debian/control ===
Source: ruby-rufus-scheduler
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper (>= 9~), gem2deb, rake, ruby-chronic, ruby-rspec
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-rufus-scheduler.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-rufus-scheduler.git
Homepage: http://github.com/jmettraux/rufus-scheduler
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-rufus-scheduler
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
Description: job scheduler for Ruby
 This package provides the gem rufus-scheduler, a job scheduler for Ruby. It
 is an in-process, in-memory scheduler that provides scheduling using at, cron,
 in and every jobs.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rufus-scheduler-$1\.tar\.gz/ \
  https://github.com/jmettraux/rufus-scheduler/tags .*/v?(\d\S*)\.tar\.gz

## ruby-rufus-scheduler 3.4.2

=== debian/changelog ===
ruby-rufus-scheduler (3.4.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches (not required)
  * Enable tests

 -- Pirate Praveen <praveen@debian.org>  Wed, 06 Sep 2017 21:55:05 +0530

=== debian/control ===
Source: ruby-rufus-scheduler
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               rake,
               ruby-chronic,
               ruby-et-orbi,
               ruby-rspec
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-rufus-scheduler.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-rufus-scheduler.git
Homepage: http://github.com/jmettraux/rufus-scheduler
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-rufus-scheduler
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-et-orbi,
         ${misc:Depends},
         ${shlibs:Depends}
Description: job scheduler for Ruby
 This package provides the gem rufus-scheduler, a job scheduler for Ruby. It
 is an in-process, in-memory scheduler that provides scheduling using at, cron,
 in and every jobs.

## ruby-rufus-scheduler 3.8.0

=== debian/changelog ===
ruby-rufus-scheduler (3.8.0-2) unstable; urgency=medium

  * Team upload.
  * d/patches/Relax-path-related-tests-for-buildds.patch: Minor change.
    - Remove change to spec/scheduler_spec.rb due to new patch.
  * d/patches/Harden-tests.patch: Add patch.
    - Apply patches by upstream to harden tests (closes: #997311).
  * d/patches/series: Adjust patch list.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 08 Dec 2021 10:45:25 +0100

ruby-rufus-scheduler (3.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Improves upstream tests and hopefully closes: #997311.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Daniel Leidert ]
  * d/control: Add Rules-Requires-Root field.
    (Standards-Version): Bump to 4.6.0.
    (Build-Depends): Remove ruby-et-orbi and add ruby-fugit instead.
    (Depends): Remove interpreters and use ${ruby:Depends}.
  * d/copyright: Add Upstream-Contact field.
    (Copyright): Update and add team.
  * d/rules: Use gem installation layout and install upstream changelog.
  * d/watch: Update file.
  * d/patches/Modernize-spec-job_spec.rb.patch: Add patch.
    - Add latest test improvements from upstream's master branch (see #997311).
  * d/patches/0002-Relax-path-related-tests-for-buildds.patch: Add patch.
    - Relax some tests checking the assumed path on our buildds.
    - Sort array before comparison.
  * d/patches/series: Enable patch.
  * d/upstream/metadata: Add missing fields.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 23 Nov 2021 18:39:17 +0100

=== debian/control ===
Source: ruby-rufus-scheduler
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               rake,
               ruby-chronic,
               ruby-fugit,
               ruby-rspec
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rufus-scheduler.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rufus-scheduler
Homepage: https://github.com/jmettraux/rufus-scheduler
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-rufus-scheduler
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: job scheduler for Ruby
 This package provides the gem rufus-scheduler, a job scheduler for Ruby. It
 is an in-process, in-memory scheduler that provides scheduling using at, cron,
 in and every jobs.

=== debian/watch ===
version=4
opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
filenamemangle=s%v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
  https://github.com/jmettraux/rufus-scheduler/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## ruby-rufus-scheduler 3.8.2

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,10 @@
 VERSION = \
   $(shell ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.version")
 
+count_lines:
+	find lib -name "*.rb" | xargs cat | ruby -e "p STDIN.readlines.count { |l| l = l.strip; l[0, 1] != '#' && l != '' }"
+	find spec -name "*_spec.rb" | xargs cat | ruby -e "p STDIN.readlines.count { |l| l = l.strip; l[0, 1] != '#' && l != '' }"
+cl: count_lines
 
 gemspec_validate:
 	@echo "---"
@@ -19,5 +23,5 @@
 	mv $(NAME)-$(VERSION).gem pkg/
 
 push: build
-	gem push pkg/$(NAME)-$(VERSION).gem
+	gem push --otp "$(OTP)" pkg/$(NAME)-$(VERSION).gem

=== debian/changelog ===
ruby-rufus-scheduler (3.8.2-3) unstable; urgency=medium

  * Team upload.
  * d/patches/Disable-one-test-failing-on-s390x.patch: Add patch.
    - Disable one test on s390x that doesn't seem to be a legitimate issue.
  * d/patches/series: Add new patch.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 31 Jan 2023 01:59:42 +0100

ruby-rufus-scheduler (3.8.2-2) unstable; urgency=medium

  * Team upload.
  * d/ruby-tests.rake: Set TZ environment variable to work around an issue on
    the s390x autopkgtest machines.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 29 Jan 2023 01:44:46 +0100

ruby-rufus-scheduler (3.8.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.8.2
    + tests measuring average work time less strict (Closes: #1002083)
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Drop Modernize-spec-job_spec.rb.patch and Harden-tests.patch, applied
    upstream

 -- Cédric Boutillier <boutil@debian.org>  Mon, 10 Oct 2022 01:23:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Balasankar C <balasankarc@autistici.org>
 Build-Depends: debhelper-compat (= 13),
-               gem2deb,
+               gem2deb (>= 1),
                rake,
                ruby-chronic,
                ruby-fugit,
                ruby-rspec
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rufus-scheduler.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rufus-scheduler
 Homepage: https://github.com/jmettraux/rufus-scheduler
